<?php
/**
* Layout options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'kids_education_pro_layout', array(
	'title'               => esc_html__( 'Layout','kids-education-pro' ),
	'description'         => esc_html__( 'Layout section options.', 'kids-education-pro' ),
	'panel'               => 'kids_education_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_layout',
	'type'                => 'select',
	'choices'			  => kids_education_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_layout',
	'type'                => 'select',
	'choices'			  => kids_education_pro_site_layout(),
) );

// Site Classic and Modern Design.
$wp_customize->add_setting( 'kids_education_pro_theme_options[site_design]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['site_design']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[site_design]', array(
	'label'               => esc_html__( 'Site Design', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_layout',
	'type'                => 'select',
	'choices'			  => kids_education_pro_site_design(),
) );
