<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that includes all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage kids_education Pro
//  * @sinceMega kids_education Pro 1.0.0
//  */


function kids_education_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'kids-education-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'kids_education_pro_ctdi_plugin_page_setup' );


function kids_education_pro_ctdi_import_files() {
    
    $demo_array = array();
    $theme_demo = array( 'pro', 'dark', 'magazine', 'medical', 'blog', 'business' );
    foreach ($theme_demo as $content) {   
        if ( $content == 'pro' ) {
            $demo_array[] =  array(
                'import_file_name'             => $content,
                'categories'                   => array( ),
                'import_file_url'              => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/content.xml',
                'import_widget_file_url'     => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/widgets.wie',
                'import_customizer_file_url' => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/customizer.dat',
                'import_preview_image_url'     => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/screenshot.png',
                'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'kids-education-pro' ),
                'preview_url' => 'https://themepalacedemo.com/kids-education-'.$content,
               
            );       
        }else{
            $demo_array[] =  array(
                'import_file_name'             => $content,
                'categories'                   => array( ),
                'import_file_url'              => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/content.xml',
                'import_widget_file_url'     => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/widgets.wie',
                'import_customizer_file_url' => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/customizer.dat',
                'import_preview_image_url'     => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/kids-education-demo-data/'.$content.'/screenshot.png',
                'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'kids-education-pro' ),
                'preview_url' => 'https://themepalacedemo.com/kids-education-pro-'.$content,
               
            );       
        }
           
    }
 

    return $demo_array;
}
        

add_filter( 'cp-ctdi/import_files', 'kids_education_pro_ctdi_import_files' );



function kids_education_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $left_header_menu = get_term_by( 'name', 'Left Header Menu', 'nav_menu' );
    $right_header_menu = get_term_by('name', 'Right Header Menu', 'nav_menu');
    $footer_menu = get_term_by('name', 'Footer Menu', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'left-header-menu' => $left_header_menu->term_id,
            'right-header-menu' => $right_header_menu->term_id,
            'footer-menu'            => $footer_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'kids_education_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );