<?php
/**
 * Footer Navigation
 *
 * This is the template for all registered menus
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */

if ( ! function_exists( 'kids_education_pro_footer_section' ) ) :
	/**
	 * Add primary menu
	 *
	 * @since  Kids Education Pro 1.0
	 *
	 */
	function kids_education_pro_footer_section() {
    $options = kids_education_pro_get_theme_options(); // Get theme options 

    $background_property = $options['footer_background_property'];
    $background_css           = !empty( $options['footer_background_image'] ) ? 'style="background-image:url('.  esc_url( $options['footer_background_image'] ) .')"' : '';

    if( 'background_color' == $background_property  ){
        $background_css = !empty( $options['footer_background_color'] ) ? 'style="background-color:'.  esc_attr( $options['footer_background_color'] ) .'"' : '';
    }
    if ( !in_array($options['site_design'], array( 'classic-design', 'modern-design' ) ) ) {
        $background_css = '';
    }
	?>
		<footer id="colophon" class="site-footer os-animation" data-os-animation="fadeIn" <?php echo $background_css; ?>>
        <?php  if( is_active_sidebar( 'sidebar-footer' ) ): ?>
            <div class="container">
                <?php  dynamic_sidebar( 'sidebar-footer' ); ?>
            </div><!-- .container -->
        <?php endif; ?>
            <?php if ( in_array( $options['site_design'] , array( 'classic-design', 'modern-design', 'third-design' ) ) ): ?>
                <div class="spacer"></div>
            <?php endif ?>
            

            <div class="bottom-footer two-columns">
                <div class="container">
                    <?php if( has_nav_menu( 'footer-menu' ) ):
                    wp_nav_menu( 
                        $footer_menu_args = array(
                      'theme_location' => 'footer-menu', 
                      'menu_id'        => '', 
                      'menu_class'     => '',
                      'container'      => 'div',
                      'container_class' => 'column-wrapper',
                    )
                     );
                    endif;

                    if( !empty( $options['copyright_text'] ) ): ?>
                    <div class="column-wrapper">
                        <div class="site-info text-right">
                            <?php 
                            echo wp_kses_post( $options['copyright_text'] ); 
                            if ( function_exists( 'the_privacy_policy_link' ) ) {
                                the_privacy_policy_link( ' | ' );
                            }
                            ?>
                        </div><!-- .site-info -->
                    <?php endif; ?>
                    </div><!-- .column-wrapper -->
                </div><!-- .container -->
            </div><!-- .bottom-footer -->
        </footer><!-- .site-footer -->
        <?php if( 1 == $options['scroll_top_visible'] ):  ?>
            <div class="backtotop"><i class="fa fa-angle-up"></i></div><!--end .backtotop-->
        <?php endif;
	}
endif;
add_action( 'kids_education_pro_footer_content', 'kids_education_pro_footer_section', 10 );